VREDefinitionServiceImpl (VRE Definition Portlet 4.4.0-3.11.0-125802 API)
Date: 2016-05-12

org.gcube.portlets.admin.vredefinition.server

## Class VREDefinitionServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.admin.vredefinition.server.VREDefinitionServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, VREDefinitionService

      public class VREDefinitionServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements VREDefinitionService

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EDIT_MODE`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREDefinitionServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<VRECollectionBean>` | `getCollections()`
    `String[]` | `getExistingNames()`
    `VREFunctionalityModel` | `getFunctionality(boolean isEdit)` read the available functionality from the service through ASL extension
    `ArrayList<ExternalResourceModel>` | `getResourceCategoryByFunctionality(String id)` return the categories per functionality
    `Map<String,Object>` | `getVRE()`
    `Map<String,Object>` | `isEditMode()`
    `String` | `setFunctionality(String[] functionalityIDs, HashMap<String,List<ExternalResourceModel>> funcToExternalResources)`
    `String` | `setVRE(VREDescriptionBean bean, String[] functionalityIDs, HashMap<String,List<ExternalResourceModel>> funcToExternalResources)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EDIT_MODE

          public static final String EDIT_MODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VREDefinitionServiceImpl

          public VREDefinitionServiceImpl()

  - ### Method Detail

    - #### getResourceCategoryByFunctionality

          public ArrayList<ExternalResourceModel> getResourceCategoryByFunctionality(String id)

      return the categories per functionality
      Specified by:
        `getResourceCategoryByFunctionality` in interface `VREDefinitionService`
      Parameters:
        `func` -

    - #### isEditMode

          public Map<String,Object> isEditMode()

      Specified by:
        `isEditMode` in interface `VREDefinitionService`

    - #### getFunctionality

          public VREFunctionalityModel getFunctionality(boolean isEdit)
                                                 throws VREDefinitionException

      read the available functionality from the service through ASL extension
      Specified by:
        `getFunctionality` in interface `VREDefinitionService`
      Throws:
        `VREDefinitionException`

    - #### getVRE

          public Map<String,Object> getVRE()
                                    throws VREDefinitionException

      Specified by:
        `getVRE` in interface `VREDefinitionService`
      Throws:
        `VREDefinitionException`

    - #### setVRE

          public String setVRE(VREDescriptionBean bean,
                      String[] functionalityIDs,
                      HashMap<String,List<ExternalResourceModel>> funcToExternalResources)
                        throws VREDefinitionException

      Specified by:
        `setVRE` in interface `VREDefinitionService`
      Returns:
        OK string if the operation is performed correctly
      Throws:
        `VREDefinitionException`

    - #### setFunctionality

          public String setFunctionality(String[] functionalityIDs,
                                HashMap<String,List<ExternalResourceModel>> funcToExternalResources)
                                  throws VREDefinitionException

      Parameters:
        `functionalityIDs` -
        `funcToExternalResources` -
      Returns:
      Throws:
        `VREDefinitionException`

    - #### getCollections

          public List<VRECollectionBean> getCollections()
                                                 throws VREDefinitionException

      Throws:
        `VREDefinitionException`

    - #### getExistingNames

          public String[] getExistingNames()

      Specified by:
        `getExistingNames` in interface `VREDefinitionService`
      Returns:
        VRE Existing Names

Copyright © 2016. All Rights Reserved.